Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tools/compat regen



details:   https://anonhg.NetBSD.org/src/rev/b42f39dbb799
branches:  trunk
changeset: 789165:b42f39dbb799
user:      jmcneill <jmcneill%NetBSD.org@localhost>
date:      Fri Aug 09 20:13:21 2013 +0000

description:
regen

diffstat:

 tools/compat/configure          |  112 ++++++++++++++++++++++++++++++---------
 tools/compat/nbtool_config.h.in |    5 +-
 2 files changed, 89 insertions(+), 28 deletions(-)

diffs (278 lines):

diff -r 1194483804b5 -r b42f39dbb799 tools/compat/configure
--- a/tools/compat/configure    Fri Aug 09 20:13:18 2013 +0000
+++ b/tools/compat/configure    Fri Aug 09 20:13:21 2013 +0000
@@ -7507,16 +7507,74 @@
 
 fi
 
+echo "$as_me:7510: checking for clock_gettime in -lrt" >&5
+echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6
+if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lrt  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+#line 7518 "configure"
+#include "confdefs.h"
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char clock_gettime ();
+int
+main ()
+{
+clock_gettime ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:7537: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:7540: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:7543: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:7546: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_rt_clock_gettime=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_lib_rt_clock_gettime=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:7557: result: $ac_cv_lib_rt_clock_gettime" >&5
+echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6
+if test $ac_cv_lib_rt_clock_gettime = yes; then
+  cat >>confdefs.h <<EOF
+#define HAVE_LIBRT 1
+EOF
+
+  LIBS="-lrt $LIBS"
+
+fi
+
 for ac_func in fparseln
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:7513: checking for $ac_func" >&5
+echo "$as_me:7571: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7519 "configure"
+#line 7577 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -7547,16 +7605,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7550: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7608: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7553: \$? = $ac_status" >&5
+  echo "$as_me:7611: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:7556: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7614: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7559: \$? = $ac_status" >&5
+  echo "$as_me:7617: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -7566,22 +7624,22 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:7569: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:7627: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
 EOF
 
-    echo "$as_me:7576: checking if fparseln seems to work" >&5
+    echo "$as_me:7634: checking if fparseln seems to work" >&5
 echo $ECHO_N "checking if fparseln seems to work... $ECHO_C" >&6
     if test "$cross_compiling" = yes; then
-  { echo "$as_me:7579: WARNING: cross compiling: not checking farseln" >&5
+  { echo "$as_me:7637: WARNING: cross compiling: not checking farseln" >&5
 echo "$as_me: WARNING: cross compiling: not checking farseln" >&2;}
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 7584 "configure"
+#line 7642 "configure"
 #include "confdefs.h"
 
 #define _NETBSD_SOURCE
@@ -7610,23 +7668,23 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7613: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7671: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:7616: \$? = $ac_status" >&5
+  echo "$as_me:7674: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:7618: \"$ac_try\"") >&5
+  { (eval echo "$as_me:7676: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:7621: \$? = $ac_status" >&5
+  echo "$as_me:7679: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  echo "$as_me:7623: result: yes" >&5
+  echo "$as_me:7681: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-echo "$as_me:7629: result: no" >&5
+echo "$as_me:7687: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 cat >>confdefs.h <<\EOF
@@ -7722,7 +7780,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:7725: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:7783: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -7894,7 +7952,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:7897: error: ambiguous option: $1
+    { { echo "$as_me:7955: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -7913,7 +7971,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:7916: error: unrecognized option: $1
+  -*) { { echo "$as_me:7974: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -7950,7 +8008,7 @@
   # Handling of arguments.
   "defs.mk" ) CONFIG_FILES="$CONFIG_FILES defs.mk" ;;
   "nbtool_config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS nbtool_config.h" ;;
-  *) { { echo "$as_me:7953: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:8011: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -8151,7 +8209,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:8154: creating $ac_file" >&5
+    { echo "$as_me:8212: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -8169,7 +8227,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:8172: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:8230: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -8182,7 +8240,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:8185: error: cannot find input file: $f" >&5
+           { { echo "$as_me:8243: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -8242,7 +8300,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:8245: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:8303: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -8253,7 +8311,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:8256: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:8314: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -8266,7 +8324,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:8269: error: cannot find input file: $f" >&5
+           { { echo "$as_me:8327: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -8383,7 +8441,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:8386: $ac_file is unchanged" >&5
+      { echo "$as_me:8444: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff -r 1194483804b5 -r b42f39dbb799 tools/compat/nbtool_config.h.in
--- a/tools/compat/nbtool_config.h.in   Fri Aug 09 20:13:18 2013 +0000
+++ b/tools/compat/nbtool_config.h.in   Fri Aug 09 20:13:21 2013 +0000
@@ -1,6 +1,6 @@
 /* nbtool_config.h.in.  Generated automatically from configure.ac by autoheader.  */
 
-/*      $NetBSD: nbtool_config.h.in,v 1.31 2013/08/06 21:56:36 apb Exp $    */
+/*      $NetBSD: nbtool_config.h.in,v 1.32 2013/08/09 20:13:21 jmcneill Exp $    */
  
 #ifndef __NETBSD_NBTOOL_CONFIG_H__
 #define __NETBSD_NBTOOL_CONFIG_H__
@@ -321,6 +321,9 @@
 /* Define if you have the `regex' library (-lregex). */
 #undef HAVE_LIBREGEX
 
+/* Define if you have the `rt' library (-lrt). */
+#undef HAVE_LIBRT
+
 /* Define if you have the `z' library (-lz). */
 #undef HAVE_LIBZ
 



Home | Main Index | Thread Index | Old Index